/*
 * Class FINITE [NATURAL_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1914 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1914 [] = {0xFF01,1551,1913,851,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1914 [] = {0xFF01,1913,851,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1914 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1914 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1914 [] = {0xFF01,1913,851,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1914 [] = {0xFF01,1913,851,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1914 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1914 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1914 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1914 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1914 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1914 [] = {1913,851,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1914 [] = {0xFF01,1913,851,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1914 [] = {0xFF01,1902,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1914 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1914[] = {
	{EIF_GENERIC(NULL), 9220, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1914), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1914), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1914), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1914), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1914), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1914), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1914), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1914), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1914), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1914), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1914), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1914), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1914), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1914), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9219, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8643, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8644, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8645, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8646, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8647, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1914), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1914), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
};
void Init1914(void)
{
	IDSC(desc_1914, 0, 1913);
	IDSC(desc_1914 + 1, 1, 1913);
	IDSC(desc_1914 + 32, 1134, 1913);
	IDSC(desc_1914 + 41, 554, 1913);
	IDSC(desc_1914 + 42, 878, 1913);
}


#ifdef __cplusplus
}
#endif
